#include <iostream>

using namespace std;
void matrica(long n,long m)
{
    long x[n][m];
    long i,j,b;
    b=m;
    for(i=0;i<n;i++)
    {
        for(j=0;j<m;j++)
        {
            if(j>=b||j==0||j==n||i==0||i==n)
            {
                x[i][j]=1;
            }
            else
            {
                x[i][j]=0;
            }
        }
        b--;
    }
    for(i=0;i<n;i++)
    {
        for(j=0;j<m;j++)
        {
            cout<<x[i][j]<<" ";
        }
        cout<<endl;
    }
}
int main()
{
    long n,m,i,j,b,k;
    cin>>b;
    for(k=0;k<b;k++)
    {
        cin>>n>>m;
        if(n!=m)
        {
            cout<<-1<<endl;
        }
        else
        {
            matrica(n,m);
        }
    }
    return 0;
}